---
title: "Get an existing values of the object"
slug: "get-an-existing-values-of-the-object"
updated: 2025-11-21T20:01:45Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an existing values of the object

Get/api/v1/realestateobjects/propertyvaluations

Get an existing values list. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the section.

		
			

**Description**

Retrieve all known values (including the type) of a specific object. A real estate object can have several different types of values. Examples are the sales value or the rent value.

Both the 'reference' and the 'externalIdentifier' can be used to identify the object. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (object). If this is not the case, the request will return with an error code.

The response provides the full list of available types of values as an array.

**Use Case**

In a connected application the user wants to display all the value information of a specific property. In order to show these values this operation can be used.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |

**Response fields**

The response contains the fields in the table below:

| Field | Description |
| --- | --- |
| valueTypeName | The value type. Examples are the sales value or the rent value. |
| year | The year in which the value has been assigned. |
| amount | The actual value in numbers. Decimals are separated with a period (.) |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='a6b2773e-4fc7-4141-b006-8f7ebb1c2ffe'>application/json</option>
</select>Array of object   object  valueTypeNamestring    Min length1Max length30
yearinteger  (int32)    Minimum1900Maximum2100
amountnumber  (double)    Minimum0Maximum2147483647
measureDatestring  (date)   | null  

404

The requested real estate object was not found.
